Get bulk import job status

Check the status and progress of a bulk import job

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

jobIdstringRequired
The ID of the bulk import job

Query parameters

entityIdstringRequired
The ID of the entity that owns the job

Response

Job status retrieved successfully
jobIdstring
Job identifier
statusenum
Current job status
Allowed values:
progressinteger0-100

Progress percentage (0-100)

totalRowsinteger
Total number of rows to process
processedRowsinteger
Number of rows processed so far
successCountinteger
Number of successfully created transactions
failedCountinteger
Number of failed transaction creations
errorslist of objects
startedAtstringformat: "date-time"
When the job started processing
completedAtstringformat: "date-time"

When the job completed (if finished)

createdAtstringformat: "date-time"
When the job was created
isCompleteboolean
Whether the job has finished processing
hasErrorsboolean
Whether there are any errors
estimatedTimeRemaininginteger

Estimated seconds remaining (null if not calculable)

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error